Subject: Document Action: 'Mounting Web Distributed Authoring and Versioning (WebDAV) servers' to Informational RFC

From: The IESG <[email-masked]>
Date: Mon, 14 Aug 2006 21:43:08 -0400

The IESG has approved the following document:

- 'Mounting Web Distributed Authoring and Versioning (WebDAV) servers '
   <draft-reschke-webdav-mount-05.txt> as an Informational RFC

This document has been reviewed in the IETF but is not the product of an
IETF Working Group. 

The IESG contact person is Lisa Dusseault.

A URL of this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-reschke-webdav-mount-05.txt

Technical Summary
 
  This is a small, focused solution to the problem of advertising a WebDAV
share, or mountable namespace, in a context where a WebDAV-capable HTTP URL is
indistinguishable from other display-only HTTP URLs.  For example, in a Web
homepage constructed for students, a university could provide links to launch a
WebDAV synch client together with the information to mount the student's online
storage space.

  There was careful discussion including the W3C liaisons as to
whether this was the right approach, compared particularly to the other common
approach (which doesn't require a Proposed Standard but is discouraged by W3C
TAG) of defining a new scheme for a new kind of URI. 

Working Group Summary
 
  Although this was discussed in the WebDAV WG and received some support, this
is not a WG product.  There was no dissent.  

Protocol Quality
  
  Lisa Dusseault reviewed this specification for the IESG.

Note to RFC Editor

Please update the security considerations with the text discussed by the IESG.

OLD: 
   When mount documents contain user names (using the <dm:username>
   element defined in Section 3.4), servers hosting such documents (or
   clients creating them) should pay attention to the public readability
   of the document and related privacy concerns.
 
NEW:
   The OPTIONAL <dm:username> element defined in Section 3.4 allows the
   inclusion of user names into mount documents.  However in some cases,
   user name information is considered to be security sensitive.  Should
   this be the case, parties generating mount documents are advised to
   either not to include user names, or to use access control to
   restrict access to the information as desired.

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf-announce